Package org.w3c.tidy

# Interface Parser

All Known Implementing Classes:
  `ParserImpl.ParseBlock`, `ParserImpl.ParseBody`, `ParserImpl.ParseColGroup`, `ParserImpl.ParseDefList`, `ParserImpl.ParseEmpty`, `ParserImpl.ParseFrameSet`, `ParserImpl.ParseHead`, `ParserImpl.ParseHTML`, `ParserImpl.ParseInline`, `ParserImpl.ParseList`, `ParserImpl.ParseNoFrames`, `ParserImpl.ParseOptGroup`, `ParserImpl.ParsePre`, `ParserImpl.ParseRow`, `ParserImpl.ParseRowGroup`, `ParserImpl.ParseScript`, `ParserImpl.ParseSelect`, `ParserImpl.ParseTableTag`, `ParserImpl.ParseText`, `ParserImpl.ParseTitle`

public interface Parser
HTML Parser.

Version:
  $Revision: 587 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Method Summary

Modifier and Type
Method
Description
`void`
`parse(Lexer lexer, Node node, short mode)`
Parse the given node.

## Method Details

### parse

void parse(Lexer lexer, Node node, short mode)
Parse the given node.

Parameters:
  `lexer` - Lexer
  `node` - node created by the lexer upon seeing the start tag, or by the parser when the start tag is inferred
  `mode` - content mode